#ifndef __UART_H
#define __UART_H

/* Init UART0 to 115.2kbaud, 8N1 */
void uart_init(void);

/* Transmit a null terminated string (polling) */
void uart_tx_string(const uint8_t* s);

/* Transmit a single byte (polling) */
void uart_tx_char(const uint8_t c);

/* Convert a unsigned 32 bit value to ascii hex */
const char* itoh(uint32_t x);

#endif
